/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CCertSelect.h,v 1.3 2002/08/06 20:09:16 dallen Exp $
____________________________________________________________________________*/
#import <PGP/pgpKeys.h>
#import <Cocoa/Cocoa.h>

@interface CCertSelect : NSObject
{
    IBOutlet NSButton			*mCancelButton;
    IBOutlet NSWindow			*mCertSelectWindow;
    IBOutlet NSTableView		*mCertTableView;
    IBOutlet NSButton			*mOKButton;
    IBOutlet NSTextField		*mPromptField;

	BOOL						mInited;
	BOOL						mLoadedNib;
	PGPUInt32					mFlags;
	id							mTarget;
	SEL							mEndSelector;
	PGPError					mReturnCode;
	PGPKeyDBRef					mKeyDB;
	PGPContextRef				mContext;
	PGPKeySetRef				m509KeySet;
	NSMutableArray				*mCertArray;
}
- (id)init;
- (id)initWithNib:(NSString*)nibFile;
- (id)initCertSelect:(NSString *)prompt
		fromDB:(PGPKeyDBRef)keyDB
		usingFlags:(PGPUInt32)flags
		target:(id)target
		didEndSelector:(SEL)didEndSelector;
- (void)runCertSelectModalTo:(NSWindow *)window;
- (IBAction)actionButtonPressed:(id)sender;
- (IBAction)selectionChanged:(id)sender;
@end

