/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CKeyDBItem.h,v 1.6 2002/08/06 20:09:17 dallen Exp $
____________________________________________________________________________*/
#import <PGP/PGP.h>
#import <Cocoa/Cocoa.h>

@class CKeyDBItem;

@interface CKeyDBItem : NSObject
{
	BOOL				mInited;
	BOOL				mDefault;
	PGPKeyDBObjRef		mKeyDBItem;
	CKeyDBItem			*mParent;
	PGPKeyDBObjType		mType;
	NSMutableArray		*mChildArray;
}

- (id)init;
- (id)initWithItem:(PGPKeyDBObjRef)keyDBItem withParent:(CKeyDBItem *)parent;

- (CKeyDBItem *)parent;
- (PGPKeyDBObjRef)keyDBItem;
- (PGPKeyDBObjType)keyDBObjType;
- (void)setDefault:(BOOL)isDefault;
- (BOOL)isDefault;
- (NSMutableArray *)childArray;
- (void)dealloc;

@end

