/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CShareholderItem.h,v 1.3 2002/08/06 20:09:17 dallen Exp $
____________________________________________________________________________*/
#import <PGP/pgpKeys.h>
#import <Cocoa/Cocoa.h>

#define	kMaxShareholderUserIDLength			255

@interface CShareholderItem : NSObject
{
	BOOL				mPublicKey;
	PGPKeyID			mKeyID;
	NSString			*mName;
	char				*mPhrase;
	PGPUInt32			mNumShares;
}
- (id)initPKItem:(PGPKeyDBObjRef)key;
- (id)initUserItem;
- (BOOL)isPKItem;
- (PGPUInt32)numShares;
- (void)keyID:(PGPKeyID *)keyID;
- (NSString *)name;
- (void)setName:(NSString *)name;
- (void)setNumShares:(PGPUInt32)numShares;
- (char *)phrase;
- (void)setPhrase:(char *)phrase;
@end

