/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: PGPCMPlugin.h,v 1.6 2002/10/16 06:27:15 jeffc Exp $
____________________________________________________________________________*/
#include "pgpBase.h"

#define kPGPCMPluginFactoryID (CFUUIDGetConstantUUIDWithBytes(NULL,	\
	0x21, 0x12, 0xDF, 0x6F, 0xF8, 0x54, 0x11, 0xD5,					\
	0x80, 0x00,	0x00, 0x03, 0x93, 0x45, 0x2A, 0x82))
	// 2112DF6F-F854-11D5-8000-000393452A82

#define LSCO(key, comment) \
	    [[NSBundle bundleWithIdentifier:@"com.pgp.contextmenu.PGPcontext"] \
		localizedStringForKey:(key) value:@"" table:(nil)]

typedef struct PGPCMPlugin
{
	ContextualMenuInterfaceStruct	*cmInterface;
	CFUUIDRef						cmPluginFactoryID;
	UInt32							cmPluginRefCount;
} PGPCMPlugin;

PGP_BEGIN_C_DECLARATIONS

	OSStatus
PGPCMPluginExamineContextImp(
	void				*context,
	const AEDesc		*inContext,
	AEDescList			*outCommandPairs );

	OSStatus
PGPCMPluginHandleSelectionImp(
	void				*context,
	AEDesc				*inContext,
	SInt32				inCommandID );

PGP_END_C_DECLARATIONS

