/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CDriverSubsystems.h,v 1.3 2002/08/06 20:09:34 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CDriverSubsystems_h	// [
#define Included_CDriverSubsystems_h

#include "CSubsystems.h"

_PGP_BEGIN

// Types

class CDiskInactivity;
class CInterface;
class CMemoryLocker;
class CPGPdiskDriver;
class CPGPdiskHandler;


// Class CDriverSubsystems

class CDriverSubsystems : public CSubsystems
{
	DECLARE_SUBSYSTEM(CDiskInactivity, DiskInactivity)
	DECLARE_SUBSYSTEM(CInterface, Interface)
	DECLARE_SUBSYSTEM(CMemoryLocker, MemoryLocker)
	DECLARE_SUBSYSTEM(CPGPdiskDriver, PGPdiskDriver)
	DECLARE_SUBSYSTEM(CPGPdiskHandler, PGPdiskHandler)

protected:
	CComboError	CreateSubsystemsAux();
	void		DestroySubsystemsAux();
};

_PGP_END

#endif	// Included_CDriverSubsystems_h
