/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: pgpDiskCastCFB.h,v 1.2 2002/08/06 20:09:35 dallen Exp $
____________________________________________________________________________*/

#pragma once

#include "cast5.h"


typedef struct ExpandedCASTKey
{
	word32	keyWords[32];
} ExpandedCASTKey;
	
	
typedef struct CASTCFBContext
{
	ExpandedCASTKey		expandedKey;
} CASTCFBContext;

void CASTCFB_InitIV(const UInt32 *iv, UInt32 *initMe);
void CASTCFB_Init(CASTCFBContext *context, const byte *keyToExpand);
void CASTCFB_Destroy(CASTCFBContext *context);
void CASTCFB_Encrypt( const CASTCFBContext *context, const UInt32 *iv,
			const UInt32 *src, UInt32 *dest, UInt32 byteCount);
void CASTCFB_Decrypt( const CASTCFBContext *context, const UInt32 *iv,
			const UInt32 *src, UInt32 *dest, UInt32 byteCount);


