
#import <Cocoa/Cocoa.h>
#import "PGPkeysCommon.h"

@interface CKeyServerUpdate : NSObject
{
	IBOutlet NSWindow*				mWindow;
	IBOutlet NSTextField*			mServer;
	IBOutlet NSTextField*			mStatus;
	IBOutlet NSProgressIndicator*	mProgress;
	IBOutlet NSButton*				mCancel;
	
	PGPError						mReturnCode;
	PGPKeyServerRef					mKeyserver;
	BOOL							mLoadedNib;
	BOOL							mInited;
}

+ (id)sharedInstance;

- (id)init;
- (void)loadNib;
- (void)close;

- (NSWindow*)window;
- (NSTextField*)server;
- (NSTextField*)status;
- (NSProgressIndicator*)progress;
- (NSButton*)cancel;

- (PGPError)returnCode;
- (PGPKeyServerRef)keyserver;

- (void)setKeyserver:(PGPKeyServerRef)keyserver;

- (IBAction)cancel:(id)sender;

- (void)dealloc;

@end
