/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: MessageWriter.h,v 1.1 2002/08/21 03:17:17 wmalik Exp $
____________________________________________________________________________*/

#import <Foundation/Foundation.h>

@interface MessageWriter:NSObject
{
    int _createsMimeAlternatives:1;
    int _createsRichText:1;
    int _createsPlainTextOnly:1;
    int _allows8BitMimeParts:1;
    int _allowsBinaryMimeParts:1;
    unsigned int _preferredEncoding;
}

- init;
- createDataForAttributedString:fp12;
- (void)appendDataForMimePart:fp12 toData:fp16 withPartData:fp20;
- createBounceMessageForMessage:fp12;
- createMessageWithAttributedString:fp12 headers:fp16;
- (char)createsMimeAlternatives;
- (void)setCreatesMimeAlternatives:(char)fp12;
- (char)createsPlainTextOnly;
- (void)setCreatesPlainTextOnly:(char)fp12;
- (char)createsRichText;
- (void)setCreatesRichText:(char)fp12;
- (char)allows8BitMimeParts;
- (void)setAllows8BitMimeParts:(char)fp12;
- (char)allowsBinaryMimeParts;
- (void)setAllowsBinaryMimeParts:(char)fp12;
- (unsigned int)preferredEncoding;
- (void)setPreferredEncoding:(unsigned int)fp12;
@end