/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: PGPMailMessageEditor.h,v 1.1 2002/08/21 03:17:17 wmalik Exp $
____________________________________________________________________________*/

#import <MessageEditor.h>

#import <AppKit/NSNibDeclarations.h>

@interface MessageEditor(PGPMail)
- (IBAction)pgpToggleEncryptionForNewMessage:(id)sender;
- (IBAction)pgpToggleSignatureForNewMessage:(id)sender;
- (NSArray *)pgpAccessoryViewOwners;
- (void)pgpSetAccessoryViewOwners:(NSArray *)newOwners;
- (BOOL)pgpIsRealEditor;
- (NSToolbar *)pgpToolbar;
- (TextDocumentViewer *)pgpTextViewer:(id)dummy;
@end
