/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: PGPMailMessageHeaders.m,v 1.2 2002/08/21 15:09:27 wmalik Exp $
____________________________________________________________________________*/

#import "PGPMailMessageHeaders.h"

#import <NSStringMessage.h>

#import <Foundation/Foundation.h>

@implementation MessageHeaders(PGPMail)
- (NSArray *) recipients
{
    NSMutableArray	*recipients = [NSMutableArray array];
    NSEnumerator	*aHeaderKeyEnum = [[NSArray arrayWithObjects:@"to", @"cc"/*, @"bcc"*/, nil] objectEnumerator];
    NSString		*aHeaderKey;
    
    while(aHeaderKey = [aHeaderKeyEnum nextObject])
    {
        NSEnumerator	*anHeaderEnum = [[self headersForKey:aHeaderKey] objectEnumerator];
        NSString		*anAddressField;

        while(anAddressField = [anHeaderEnum nextObject])
            [recipients addObjectsFromArray:[anAddressField addressList]];
    }
            
    return recipients;
}
@end
