/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: PGPMailNSData.h,v 1.1 2002/08/21 03:17:17 wmalik Exp $
____________________________________________________________________________*/

#import <Foundation/NSData.h>

@interface NSData(PGPMail)
- (NSData *)pgpConvertEndOfLines;
- (BOOL)pgpContainsNonASCIICharacter;
- (NSData *)pgpNormalizedDataForVerifying;
- (NSRange)pgpHeaderBodySeparationRange;
@end

@interface NSMutableData(PGPMail)
- (void)pgpNormalizeDataForSigning;
- (void)pgpNormalizeDataForVerifying;
- (BOOL)pgpApplyQuotedPrintableIfNeeded:(BOOL)alreadyUsesQuotedPrintable;
@end
