/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: UCommonStrings.h,v 1.34 2002/10/24 20:07:16 wjb Exp $
____________________________________________________________________________*/

#ifndef Included_UCommonStrings_h	// [
#define Included_UCommonStrings_h

_PGP_BEGIN

// Types

class CString;

// UCommonStrings

namespace UCommonStrings
{
	enum CommonString
	{
		kAlgorithmCast5IDString, 
		kAlgorithmOldCast5IDString, 
		kAlgorithmTwoFishIDString, 

		kAppExecuteCommandFailed, 
		kAppInitFailed, 

		kConfirmPassBadPassTemplate, 
		kConfirmPassBadPassConfirm, 
		kConfirmPassBadPassMinLengthReject, 
		kConfirmPassBadPassMinQualityReject, 
		kConfirmPassDialogTitle, 
		kConfirmPassMsgBoxTitle, 
		kConfirmPassUserText, 

		kCreateOptionsMsgBoxTitle, 

		kDiskPropertiesMsgBoxTitle, 

		kDiskUserViewMsgBoxTitle, 
		kDiskUserViewPubKeyDHText, 
		kDiskUserViewPubKeyRSAText, 
		kDiskUserViewSymKeyText, 

		kDiskUserViewKindCol, 
		kDiskUserViewReadOnlyCol, 
		kDiskUserViewUserNameCol, 

		kEditorMsgBoxTitle, 
		kEditorWindowTitle, 

		kEditorAddUserCaption, 
		kEditorMountCaption, 
		kEditorPropertiesCaption, 
		kEditorRemUserCaption, 
		kEditorUnmountCaption, 

		kEditorAddUserTooltip, 
		kEditorMountTooltip, 
		kEditorPropertiesTooltip, 
		kEditorRemUserTooltip, 
		kEditorUnmountTooltip, 

		kEditorAboutPGPHelp, 
		kEditorAddUserHelp, 
		kEditorChangePassHelp, 
		kEditorExitHelp, 
		kEditorHelpContentsHelp, 
		kEditorLargeButtonsHelp, 
		kEditorLookupHelp, 
		kEditorMountHelp, 
		kEditorMountUsingHelp, 
		kEditorOptionsHelp, 
		kEditorPropertiesHelp, 
		kEditorReEncryptHelp, 
		kEditorRemUserHelp, 
		kEditorSetAsAdminHelp, 
		kEditorShowTextHelp, 
		kEditorShowTooltipsHelp, 
		kEditorToggleDisableHelp, 
		kEditorToggleROHelp, 
		kEditorUnmountHelp, 
		kEditorViewKindHelp, 
		kEditorViewROHelp, 
		kEditorViewToolbarHelp, 

		kEditorDisableMenuOption, 
		kEditorEnableMenuOption, 
		kEditorMountMenuOption, 
		kEditorUnmountMenuOption, 

		kKeyJoinerDialogMessage, 
		kKeyJoinerDialogTitle, 

		kMountOptionsMsgBoxTitle, 

		kMountPointChooseText, 

		kNewDiskDefaultFilename, 
		kNewDiskProgCanceledText, 
		kNewDiskProgDoneText, 
		kNewDiskProgEncryptingText, 
		kNewDiskProgFailedText, 
		kNewDiskProgFailingText, 
		kNewDiskProgFormattingText, 
		kNewDiskFreeSpaceKnownText, 
		kNewDiskFreeSpaceUnknownText, 
		kNewDiskMsgBoxTitle, 
		kNewDiskSaveDialogTitle, 
		kNewDiskSizeNotEnoughSpace, 
		kNewDiskSizeTooBig, 
		kNewDiskSizeTooBigFat32, 
		kNewDiskSizeTooSmall, 
		kNewDiskTitle, 

		kNewUserPassRejectedText, 
		kNewUserPassSugMinLengthText, 
		kNewUserPassTellMinLengthText, 
		kNewUserPassWarningText, 

		kNewUserBadPassConfirm, 
		kNewUserBadPassMinLengthReject, 
		kNewUserBadPassMinLengthWarn, 
		kNewUserBadPassMinQualityReject, 

		kNewUserMsgBoxTitle, 
		kNewUserTitle, 

		kPGPdiskOptionsMinutesTooLarge, 
		kPGPdiskOptionsMinutesTooSmall, 
		kPGPdiskOptionsMsgBoxTitle, 

		kPGPKeyPickerMsgBoxTitle, 

		kPubKeysViewKeysTitle, 
		kPubKeysViewSizeCol, 
		kPubKeysViewUserIDCol, 
		kPubKeysViewValidityCol, 

		kReEncryptMsgBoxTitle, 
		kReEncryptProgCanceledText, 
		kReEncryptProgDoneText, 
		kReEncryptProgFailedText, 
		kReEncryptProgFailingText, 
		kReEncryptProgReEncryptingText, 
		kReEncryptTitle, 

		kSinglePassAdminText, 
		kSinglePassMountText, 
		kSinglePassUserText, 
		kSinglePassUserOrAdminText, 

		kSinglePassDialogTitle, 
		kSinglePassMsgBoxTitle, 

		kWarnDelDialogMessage, 

		kAskIfCancelCreation, 
		kAskIfCancelReEncrypt, 
		kAskIfContinueReEncrypt, 
		kAskIfConvertOldHeaders, 
		kAskIfCreateDir, 
		kAskIfForceUnmount, 
		kAskIfForceUnmountAll, 
		kNoPGPdisksToUnmount,
		kAskIfNukeSymsAndMissingPubs, 
		kAskIfReEncryptOldCASTAlgorithm,
		kAskIfReplaceFile, 
		kAskIfWipeDisk, 
		kAskIfWipeAllDisks, 
		kChoosePGPdiskDlgTitle, 
		kGenericMsgBoxTitle, 
		kTellAdminUserNotUsable, 
		kTellBadMountStartupPath, 
		kTellBadPassphrase, 
		kTellBadPassAndKeyNotInRing, 
		kTellCantCreateInWin2kTerm, 
		kTellCantMarkDiskFor, 
		kTellCantModifyDisk, 
		kTellCantMountWOPrivKey, 
		kTellCantReEncryptOldCASTAlgorithm, 
		kTellCantRemoveALUser, 
		kTellCantSetCustomTimeout, 
		kTellCantVerifyPassphrase, 
		kTellChoseDriveInWin2kTerm, 
		kTellChoseInvalidVol,  
		kTellChoseReadOnlyVol, 
		kTellChoseReplaceFileInUseOrRO, 
		kTellDiskAddUserFailed, 
		kTellDiskChangeUserPassFailed, 
		kTellDiskCreateFailed, 
		kTellDiskEditFailed, 
		kTellDiskMountFailed, 
		kTellDiskReEncryptFailed, 
		kTellDiskRemoveUsersFailed, 
		kTellDiskSetAdminUserFailed, 
		kTellDiskShowOptionsFailed, 
		kTellDiskShowPropsFailed, 
		kTellDiskToggleUserDisabledFailed, 
		kTellDiskToggleUserROFailed, 
		kTellDiskUnmountFailed, 
		kTellDiskUnmountAllFailed, 
		kTellDiskWipeUsersFailed, 
		kTellEmptyFileName, 
		kTellForceROOnLoopback, 
		kTellIllegalPath, 
		kTellInvalidFileSystem, 
		kTellInvalidPLRoot, 
		kTellBadMointPointDir, 
		kTellMountPointDirInUse, 
		kTellMountPointNetworked,
		kTellMustRemountNovellDisk, 
		kTellNoDiskLicense,
		kTellNoPubKeySelected, 
		kTellPassphraseEmpty, 
		kTellPLRootInUse, 
		kTellSearchForKeysFailed, 
		kTellUnknownKeyNotFound, 
		kTellUserNameEmpty, 
		kTellUserNameInUse, 
		kTellUserNameTooLong, 
		kTellUsersWiped, 
		kUnknown, 
		kUnknownUserSizeString, 
		kUnknownUserString, 
		kUnknownUserWithIDString, 
		kWarnAdminUserNotUsable, 
		kWarnCapsLockDown, 
		kWarnDriverNotLoaded, 
		kWizFontInterior, 
		kWizFontIntroDone, 

		kLastString
	};

	// Function declarations
	const char *	Get(CommonString commonStr);
	PGPBoolean		ReportError(CommonString what, CommonString title, 
		CComboError error, void *parentWnd = NULL);
};

_PGP_END

#endif	// Included_UCommonStrings_h
