/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: pgpDiskBase.h,v 1.5 2002/10/16 22:29:50 wjb Exp $
____________________________________________________________________________*/

#ifndef Included_PGPdiskBase_h	/* [ */
#define Included_PGPdiskBase_h

#include "pgpTypes.h"

/* Constants */

#define	kPGPdiskMaxPathLength			300
#define	kPGPdiskMaxDeviceNameLength		32
#define	kPGPdiskMaxPassLength			255
#define	kPGPdiskDefaultMinPassLength	8
#define	kPGPdiskMaxMinutesTimeout		999
#define	kPGPdiskMaxAlgStringIdLength	128
#define	kPGPdiskMaxMountedDisks			20
#define	kPGPdiskMaxAlgStringIdLength	128

#define	kPGPdiskBlockSize		512
#define	kPGPdiskMaxUserNameSize	127
#define	kPGPdiskMinDiskKb		100

#define	kPGPdiskFileExtension	".pgd"

typedef enum
{
	kPGPdiskInvalidAlgorithm	= 0, 
	kPGPdiskCopyDataAlgorithm	= 1, 
	kPGPdiskOldCAST5Algorithm	= 2, 
	kPGPdiskCAST5Algorithm		= 3, 
	kPGPdiskTwoFishAlgorithm	= 4, 
	kPGPdiskAESAlgorithm		= 5,

	/* All user-defined algorithms must be > 1000 */
	kPGPdiskDummyAlgorithm 		= 0xFFFFFFFF	// force size to 4 bytes

} PGPdiskEncryptionAlgorithm;

#endif	/* ] Included_PGPdiskBase_h */
