/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: PGPBundleMail.h,v 1.9 2002/10/17 01:28:41 jeffc Exp $
____________________________________________________________________________*/

@protocol PGPBundleMail

- (NSString *)signText:(NSString *)data error:(NSString **)error;
- (NSString *)encryptText:(NSString *)data toRecipients:(NSArray *)toRecipients error:(NSString **)error;
- (NSString *)signEncryptText:(NSString *)data toRecipients:(NSArray *)toRecipients error:(NSString **)error;
- (NSString *)decryptVerifyText:(NSString *)data error:(NSString **)error showDialog:(BOOL)showDialog;

- (IBAction)clipboardDecryptVerify:(id)sender;
- (IBAction)clipboardEncrypt:(id)sender;
- (IBAction)clipboardEncryptSign:(id)sender;
- (IBAction)clipboardSign:(id)sender;

- (void)signSelectedFiles:(NSArray *)files;
- (void)encryptSelectedFiles:(NSArray *)files;
- (void)encryptSignSelectedFiles:(NSArray *)files;
- (void)decryptVerifySelectedFiles:(NSArray *)files;
- (void)wipeSelectedFiles:(NSArray *)files;

- (BOOL)jobsPending;

@end

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
