/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: SignatureStatusMessage.h,v 1.5 2002/08/06 20:10:27 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_SignatureStatusMessage_h	/* [ */
#define Included_SignatureStatusMessage_h

#import <Cocoa/Cocoa.h>
#import <PGP/PGP.h>

PGP_BEGIN_C_DECLARATIONS

typedef struct
{
   PGPEventSignatureData	sigData;
        /* used if key could not be found */
  char				keyIDString[ kPGPMaxKeyIDStringSize ];
} SignatureStatusInfo;

	PGPError
GetSignatureStatusMessage(
    PGPContextRef				inContext,
    PGPPrefRef					inPrefRef,
	SignatureStatusInfo const 	*inInfo,
	NSString 				  	**ioMsg );
    
PGP_END_C_DECLARATIONS

#endif /* ] Included_SignatureStatusMessage_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
