/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpRemotePrefs.h,v 1.6 2002/08/06 20:10:16 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_pgpRemotePrefs_h	/* [ */
#define Included_pgpRemotePrefs_h

#include "pgpErrors.h"
#include "pflPrefs.h"
#include "pgpPubTypes.h"
#include "pgpKeyServer.h"

PGP_BEGIN_C_DECLARATIONS

	PGPError
PGPSendPrefsToServer(
	PGPContextRef				context,
	PGPPrefRef					prefs,
	PGPPrefRef					pgpnetPrefs,
	char *						url,
	char *						username,
	char *						password,
	PGPEventHandlerProcPtr		handler,
	PGPUserValue				userValue );

	PGPError
PGPGetPrefsFromServer(
	PGPContextRef				context,
	char *						url,
	PGPPrefRef *				prefs,
	PGPPrefRef *				pgpnetPrefs,
	PGPEventHandlerProcPtr		handler,
	PGPUserValue				userValue );

PGP_END_C_DECLARATIONS

#endif /* ] Included_pgpRemotePrefs_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
