/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpVersionHeader.c,v 1.133 2002/10/31 13:58:13 pbj Exp $
____________________________________________________________________________*/
#include <stdio.h>
#include "pgpBuild.h"
#include "pgpVersionHeader.h"
#include "pgpBuild.h"
#include "pgpClientLib.h"

#if PGP_WIN32
	#include "pgpLnLib.h"
#endif

char bVersionHeaderStringInited=0;
char szVersionHeaderString[256];

char *pgpVersionHeaderString(void)
{
	if(bVersionHeaderStringInited==0)
	{
		if( PGP_BETA )
		{
			sprintf(szVersionHeaderString,
				"PGP %s Beta",
				PGPVERSIONSTRING);
		}
	#if PGP_WIN32
	  #if PGP_NOTES
		else if(!PGPclIsAuthorized())
	  #else
		else if(!PGPlnIsAuthorized())
	  #endif
	#elif PGP_OSX
		else if(!PGPclIsAuthorized())
	#endif
		{
			sprintf(szVersionHeaderString,
				"PGP %s - not licensed for commercial use: www.pgp.com",
				PGPVERSIONSTRING);
		}
		else
		{	
			sprintf(szVersionHeaderString,
				"PGP %s",
				PGPVERSIONSTRING);
		}
		bVersionHeaderStringInited=1;
	}

	return szVersionHeaderString;
}


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/


