/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CSubsystem.h,v 1.3 2002/08/06 20:10:37 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CSubsystem_h	// [
#define Included_CSubsystem_h

#include "pgpClassesConfig.h"
#include "CErrorState.h"

_PGP_BEGIN

// Class CSubsystem

class CSubsystem SMART_ERROR_INHERIT
{
	NOT_COPYABLE(CSubsystem)

protected:
	CSubsystem() { }

public:
	virtual ~CSubsystem() = 0 { }

	virtual	SMART_ERROR	Startup() = 0;
	virtual void		Shutdown() = 0;
};

_PGP_END

#endif	// Included_CSubsystem_h
