/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: MacMenus.h,v 1.4 2002/08/06 20:10:40 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_MacMenus_h	/* [ */
#define Included_MacMenus_h

#include "Menus.h"

#if PGP_MACINTOSH
#pragma options align=mac68k
#endif

typedef struct MenuRec {
	MenuRef		menuRef;
	SInt16		menuLeft;
} MenuRec;

typedef struct MenuList {
	SInt16	lastMenu;
	SInt16	lastRight;
	SInt16	notUsed;
	MenuRec	menus[ 1 ];	/* dynamic */
} MenuList;
#if PGP_MACINTOSH
#pragma options align=reset
#endif

PGP_BEGIN_C_DECLARATIONS


ushort		GetNumMenusInMenuBar( void );
MenuHandle	GetIndMenuInMenuBar( ushort index );

#define IsMacMenuItemEnabled(menuHandle, item)						\
			(((**(menuHandle)).enableFlags & (0x00000001 << (item))) != 0)


PGP_END_C_DECLARATIONS

#endif /* ] Included_MacMenus_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
