/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: CGAProgressDialog.h,v 1.2 2002/08/06 20:10:43 dallen Exp $
____________________________________________________________________________*/
#pragma once

#include <LGADialog.h>

const short		kProgressDialogResID = 31600;

class LProgressBar;

class CGAProgressDialog : public LGADialog
{
public:

	enum { class_ID = 'PrgD' };
	
					CGAProgressDialog();
	virtual			~CGAProgressDialog();
					CGAProgressDialog(LStream *inStream);
	
	virtual	void	AddCompletedOperations(UInt32 completedOps);
	virtual void	ApplyForeAndBackColors() const;
	virtual Boolean	IsIndeterminate(void) const;
	virtual void	GetCaption(Str255 caption);
	virtual	void	SetButtonTitle(ConstStr255Param title);
	virtual	void	SetCaption(ConstStr255Param caption);
	virtual	void	SetCompletedOperations(UInt32 completedOps);
	virtual	void	SetPercentComplete(UInt32 percentComplete);
	virtual	void	SetTotalOperations(UInt32 totalOps);
	virtual void	SetIndeterminateFlag(Boolean inIsIndeterminate);
	
protected:

	LProgressBar	*mProgressBarObj;
	UInt32			mTotalOps;
	UInt32			mCompletedOps;

	virtual void	FinishCreateSelf(void);
};
