/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	
	
	$Id: CIconPane.h,v 1.2 2002/08/06 20:10:43 dallen Exp $
____________________________________________________________________________*/

#pragma once 

#include <Icons.h>

#include <LIconPane.h>


class CIconPane	:	public LIconPane {
public:
	enum { class_ID = FOUR_CHAR_CODE('CIcn') };
	
						CIconPane(LStream * inStream);
	virtual				~CIconPane();
					
	Handle				GetSuite() { return mIconSuite; }
	ResIDT				GetIconID() { return mIconID; }
	IconAlignmentType	GetAlignment() { return mAlignment; }
	IconTransformType	GetTransform() { return mTransform; }
	
	void				SetIconSuite(Handle inIconSuite, Boolean inOwnsSuite = false);
	void				SetAlignment(IconAlignmentType inAlignment)
							{ mAlignment = inAlignment; }
	void				SetTransform(IconTransformType inTransform)
							{ mTransform = inTransform; }
							
	virtual void		DrawSelf();

protected:
	Boolean				mOwnsSuite;
	Handle				mIconSuite;
	IconAlignmentType	mAlignment;
	IconTransformType	mTransform;
};