/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CPGPIcons.h,v 1.3 2002/10/29 08:41:16 wprice Exp $
____________________________________________________________________________*/

#import <Cocoa/Cocoa.h>
#import <PGP/pgpKeys.h>

enum
{
	kPGPclImage_Cert		= 0,
	kPGPclImage_CertExpired,
	kPGPclImage_CertRevoked,
	kPGPclImage_DotAxiom,
	kPGPclImage_DotDimmed,
	kPGPclImage_DotGreen,
	kPGPclImage_DotRed,
	kPGPclImage_DotSelect,
	kPGPclImage_DSADisabled,
	kPGPclImage_DSAExpired,
	kPGPclImage_DSAKey,
	kPGPclImage_DSAKeyPair,
	kPGPclImage_DSARevoked,
	kPGPclImage_DSASplit,
	kPGPclImage_DSAUser,
	kPGPclImage_PhotoID,
	kPGPclImage_RSA4Disabled,
	kPGPclImage_RSA4Expired,
	kPGPclImage_RSA4Key,
	kPGPclImage_RSA4KeyPair,
	kPGPclImage_RSA4Revoked,
	kPGPclImage_RSA4Split,
	kPGPclImage_RSADisabled,
	kPGPclImage_RSAExpired,
	kPGPclImage_RSAKey,
	kPGPclImage_RSAKeyPair,
	kPGPclImage_RSARevoked,
	kPGPclImage_RSASplit,
	kPGPclImage_RSAUser,
	kPGPclImage_Sig,
	kPGPclImage_SigBad,
	kPGPclImage_SigExpired,
	kPGPclImage_SigExport,
	kPGPclImage_SigMeta,
	kPGPclImage_SigRevoked,
	kPGPclImage_SigTI,
	kPGPclImage_Unknown,
	kPGPclImage_UnknownUser,
	kPGPclImage_Group,
	kPGPclImage_ECDisabled,
	kPGPclImage_ECExpired,
	kPGPclImage_ECKey,
	kPGPclImage_ECKeyPair,
	kPGPclImage_ECRevoked,
	kPGPclImage_ECSplit,
	kPGPclImage_ECUser
};

@class NSMutableArray;

@interface CPGPIcons : NSObject
{
	NSMutableArray		*mImages;
}

+ (id)shared;
- (id)init;
- (NSMutableArray *)images;
- (NSImage *)getKeyDBObjIcon:(PGPKeyDBObjRef) keyDBItem;
- (void)dealloc;

@end

