/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: pgpRndSeed.h,v 1.10 2002/08/06 20:11:05 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_pgpRndSeed_h
#define Included_pgpRndSeed_h

#include <stdio.h>

PGP_BEGIN_C_DECLARATIONS

#include "pgpOpaqueStructs.h"

/* We want to see at least this many bytes in randseed */
#define PGP_SEED_MIN_BYTES		24



PGPError	pgpSaveGlobalRandomPool( void );
PGPBoolean	pgpGlobalRandomPoolIsSeeded( void );
void		pgpSetIsSeeded( void);
void		pgpGlobalRandomPoolSetEntropy( PGPUInt32 randBits );
PGPError	pgpSetRandSeedFile_internal( PFLFileSpecRef );
PGPError	pgpDefaultRandSeedFile( void );
void		pgpCleanupRandSeedFile( void );

#if PGP_OSX
PGPError	GetDefaultRandSeedFileRef(PGPMemoryMgrRef mgr, PFLFileSpecRef* outRef);
#endif

PGP_END_C_DECLARATIONS

#endif /* Included_pgpRndSeed_h */
