/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	
	
	$Id: CInternetUtilities.h,v 1.3 2002/08/06 20:11:12 dallen Exp $
____________________________________________________________________________*/

#pragma once 

#include "CSocket.h"

class CInternetUtilities {
public:
							CInternetUtilities();
	virtual					~CInternetUtilities();
	
	virtual PGPHostEntry *	GetHostByName(const char * inName);
	virtual	PGPHostEntry *	GetHostByAddress(PGPInternetAddress inAddress);
	virtual void			GetHostName(char * outName,
									SInt32 inNameLength);

protected:
	InetSvcRef				mInetSvcRef;

	static pascal void		NotifyProc(void* contextPtr, OTEventCode code,
									OTResult result, void* cookie);
};
