/*____________________________________________________________________________
	pgpUtilities.h
	
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	This file contains miscellaneous utility functions needed for the PGPsdk.

	$Id: pgpUtilitiesPriv.h,v 1.6 2002/08/06 20:11:15 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_pgpUtilitiesPriv_h	/* [ */
#define Included_pgpUtilitiesPriv_h

#include "pgpUtilities.h"
#include "pflTypes.h"
#include "pgpMemoryMgr.h"

PGP_BEGIN_C_DECLARATIONS
					
PGPError	pgpForceSDKCleanup( void );
PGPBoolean	pgpsdkIsInited( void );

#if PGP_MACINTOSH
OSStatus	SetLibraryFSSpec(const FSSpec *fileSpec);
OSStatus	GetLibraryFSSpec(FSSpec *fileSpec);
#endif

#define pgpValidatePGPContextRef( context ) \
	PGPValidateParam( pgpContextIsValid( context ) )

PGP_END_C_DECLARATIONS


#endif /* ] Included_pgpUtilitiesPriv_h */

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
