/*

 * pgpKB.h -- interface for keyboard I/O

 *            The implementation is in pgpKBUnix.c, pgpKBMSDOS.c,

 *            kbvms.c, etc.

 *

 * Copyright (C) 2002 PGP Corporation

 *

 * $Id: pgpKB.h,v 1.2 2002/08/06 20:11:18 dallen Exp $

 */



#ifdef __cplusplus

extern "C" {

#endif



int kbOpenKbd(int flags, int InBatchmode);

int kbCloseKbd(int fd);

void kbCbreak(int InBatchmode), kbNorm(void);

int kbGet(void);

void kbFlush(int thorough);



#ifdef __cplusplus

}

#endif

