/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CImageButton.h,v 1.5 2002/08/06 20:09:16 dallen Exp $
____________________________________________________________________________*/

#import <Cocoa/Cocoa.h>

@interface CImageButton : NSButton
{
    NSSize			mMaxButtonSize;
    NSSize			mMinButtonSize;
	NSSize			mMaxImageSize;
	NSSize			mMinImageSize;
}

+ (Class)cellClass;

- (void)setMinButtonSize:(NSSize)minSize;
- (void)setMaxButtonSize:(NSSize)maxSize;
- (void)setMinImageSize:(NSSize)minSize;
- (void)setMaxImageSize:(NSSize)maxSize;
- (void)setFrameSize:(NSSize)size;
- (void)setImagePosition:(NSCellImagePosition)position;

- (NSSize)minButtonSize;
- (NSSize)maxButtonSize;
- (NSSize)minImageSize;
- (NSSize)maxImageSize;

- (void)resizeWithOldSuperviewSize:(NSSize)oldSize;

@end
