/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: COutlineView.m,v 1.3 2002/11/11 21:41:42 jeffc Exp $
____________________________________________________________________________*/
#import <COutlineView.h>

@implementation COutlineView

- (NSDragOperation)draggingSourceOperationMaskForLocal:(BOOL)flag;
{
    if ([[self dataSource] respondsToSelector:@selector(outlineView:draggingSourceOperationMaskForLocal:)] == YES)
        return [[self dataSource] outlineView:self draggingSourceOperationMaskForLocal:flag];
	else
        return [super draggingSourceOperationMaskForLocal:flag];
}

- (void)scrollWheel:(NSEvent*)event
{
	[[self superview] scrollWheel:event];
}

@end

