/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CSetupAssistantPage.h,v 1.4 2002/08/06 20:09:17 dallen Exp $
____________________________________________________________________________*/

#import <Cocoa/Cocoa.h>

@class CSetupAssistant;

@interface CSetupAssistantPage : NSObject
{
    NSView*				mView;
    id					mDelegate;

	CSetupAssistant*	mSetupAssistant;
    
    BOOL				mInited;
	BOOL				mLastPage;
}

- (id)init;
- (id)initWithView:(NSView*)view;

- (NSView*)view;
- (void)setView:(NSView*)view;

- (id)delegate;
- (void)setDelegate:(id)delegate;

- (id)setupAssistant;
- (void)setSetupAssistant:(id)setupAssistant;

- (BOOL)isLastPage;
- (void)setIsLastPage:(BOOL)flag;

- (BOOL)assistantShouldGoToNextPage:(CSetupAssistant*)assistant;
- (BOOL)assistantShouldGoToPreviousPage:(CSetupAssistant*)assistant;
- (BOOL)assistantShouldFinish:(CSetupAssistant*)assistant;

- (void)dealloc;

@end
