/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: PGPConsole.h,v 1.30 2002/11/21 03:40:37 jeffc Exp $
____________________________________________________________________________*/

#import <Cocoa/Cocoa.h>
#import <CoreFoundation/CoreFoundation.h>

#import <PGP/PGP.h>

#import <PGPclient/PGPOpenPrefs.h>
#import <PGPclient/pflPrefs.h>
#import <PGPclient/pgpMem.h>

/* Protocol declarations */
#import "PGPBundle.h"
#import "PGPBundleDisk.h"
#import "PGPBundleKeys.h"
#import "PGPBundleMail.h"
#import "PGPBundleNet.h"
#import "PGPController.h"

#import "PGPAppController.h"
#import "PGPBundleManager.h"
#import "PGPPrefsManager.h"
#import "PGPInterfaceController.h"
#import "CPGPUninstaller.h"
#import "CMainWindowDelegate.h"
#import "PGPPrefsGeneral.h"

#define kPGPAppDefault_CurrentBundle	@"currentBundle"
#define kPGPAppDefault_ActiveBundles	@"activeBundles"
#define kPGPAppDefault_CleanUninstall	@"cleanUninstall"
#define kPGPAppDefault_ToolbarSize		@"toolbarSize"
#define kPGPAppDefault_ToolbarStyle		@"toolbarStyle"
#define kPGPAppDefault_EvalMode			@"evalMode"

#define kPGPString_OK								NSLocalizedString(@"OK", @"OK")
#define kPGPString_Cancel							NSLocalizedString(@"Cancel", @"Cancel")
#define kPGPString_Quit								NSLocalizedString(@"Quit", @"Quit")
#define kPGPString_Uninstall						NSLocalizedString(@"Uninstall", @"Uninstall")
#define kPGPString_PurchaseNow						NSLocalizedString(@"Purchase Now", @"Purchase Now")
#define kPGPString_ErrorLoadingBundle				NSLocalizedString(@"Error loading bundle", @"Bundle loading error caption")
#define kPGPString_UnableToCreateBundleController	NSLocalizedString(@"An error occurred while attempting to load %@. As a result, some PGP operations may not work properly.", @"Bundle loading error message")
#define kPGPString_ExpiredEval						NSLocalizedString(@"Evaluation Period Ended", @"")
#define kPGPString_ExpiredEvalMsg					NSLocalizedString(@"The evaluation period for this product has ended. Click the \"Purchase Now\" button to obtain a valid license from the PGP storefront.", @"")
#define kPGPString_ExpiredLicense					NSLocalizedString(@"License Expired", @"")
#define kPGPString_ExpiredLicenseMsg				NSLocalizedString(@"Your license has expired. Please click the \"Purchase Now\" button to receive a renewed license from the PGP storefront.", @"")
#define kPGPString_ContinueUsing					NSLocalizedString(@"License Expired", @"")
#define kPGPString_ContinueUsingMsg					NSLocalizedString(@"Your license has expired, however, PGP will remain usable until %@. Please click the \"Purchase Now\" button to obtain a renewed license from the PGP storefront.", @"")
#define kPGPLicenseDisplayNever						NSLocalizedString(@"Never", @"")
#define kPGPLicenseDisplayExpired					NSLocalizedString(@"Expired", @"")
#define kPGPLicenseDisplayEvalDays					NSLocalizedString(@"%d day%@left in evaluation", @"")
#define kPGPLicenseDisplayDaysRemaining				NSLocalizedString(@"%d day%@remaining", @"")
#define kPGPLicenseDisplayPurchaseURL				@"http://store.pgp.com/upgrade1"