/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CMemoryLocker.cpp,v 1.2 2002/08/06 20:09:34 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CMemoryLocker.h"
#include "CMemoryLockerImp.h"

_USING_PGP

// Class CMemoryLocker member functions

DEFINE_IMPHOST(CMemoryLocker, MemoryLockerImp, CDriverImpFactory)

CComboError 
CMemoryLocker::LockMemory(
	const void	*pMem, 
	PGPUInt32	sizeMem, 
	void		**ppMappedMem)
{
	return Imp()->LockMemory(pMem, sizeMem, ppMappedMem);
}

CComboError 
CMemoryLocker::UnlockMemory(const void *pMem)
{
	return Imp()->UnlockMemory(pMem);
}

CComboError 
CMemoryLocker::Startup()
{
	return Imp()->Startup();
}

void 
CMemoryLocker::Shutdown()
{
	Imp()->Shutdown();
}
