/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpDiskGetPath.m,v 1.3 2002/10/23 04:02:48 dallen Exp $
____________________________________________________________________________*/

#include "pgpMem.h"
#include "pflPrefs.h"
#include "pflPrefTypes.h"
#include "pgpErrors.h"

#import <Cocoa/Cocoa.h>

#define CKERR		if( IsPGPError( err ) ) goto done


	PGPError
PGPdiskGetCurrentExecutablePath(
	char *					szPath )
{
	NSAutoreleasePool *		pool		= [[NSAutoreleasePool alloc] init];
	NSString *				bundlePath = [[NSBundle mainBundle] bundlePath];	

	snprintf( szPath, PATH_MAX, "%s", [bundlePath cString] );

	[pool release];

	return kPGPError_NoErr;;
}
