/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CSearchPanel.h,v 1.5 2002/08/06 20:09:45 dallen Exp $
____________________________________________________________________________*/
#import <Cocoa/Cocoa.h>

@class CKeySearch;

@interface CSearchPanel : NSObject
{
    IBOutlet NSView				*mCriteriaView;
    IBOutlet NSDateFormatter	*mDateFormatter;
	IBOutlet NSNumberFormatter	*mSizeFormatter;
    IBOutlet NSTextField		*mIDField;
    IBOutlet NSPopUpButton		*mKeyTypePopup;
    IBOutlet NSPopUpButton		*mModifierPopup;
    IBOutlet NSPopUpButton		*mRevDisPopup;
    IBOutlet NSPopUpButton		*mTypePopup;
	
	BOOL						mInited;
	BOOL						mLoadedNib;
	CKeySearch					*mController;
}
- (id)init;
- (id)initWithNib:(NSString*)nibFile;
- (id)initWithController:(id)controller defaultType:(PGPUInt32)searchType;
- (void)setSearchType:(PGPUInt32)searchType;
- (void)setEnabled:(BOOL)enabled;
- (NSView *)view;
- (NSMutableArray *)keyViews;
- (PGPFilterRef)filter;
- (IBAction)typeChanged:(id)sender;
@end

