/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CPGPVerificationDataSource.h,v 1.8 2002/08/06 20:09:48 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_CPGPVerificationDataSource_h	/* [ */
#define Included_CPGPVerificationDataSource_h

#import <Cocoa/Cocoa.h>

@interface CPGPVerificationDataSource : NSObject
{
    NSMutableArray		*mVerifications;
}

- (int)numberOfRowsInTableView:(NSTableView *)tableView;
- (id)tableView:(NSTableView *)tableView
    objectValueForTableColumn:(NSTableColumn *)tableColumn
    row:(int)rowIndex;
- (NSMutableArray *)verifications;
- (void)setVerifications:(NSMutableArray *)newVerifications;
- (void)addRow:(id)rowData;
- (void)tableView:(NSTableView*)tableView
    willDisplayCell:(id)tableCell
    forTableColumn:(NSTableColumn*)tableColumn
    row:(int)rowIndex;

@end

#endif /* ] Included_CPGPVerificationDataSource_h */

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/