/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: CPGPmailEncodeDecodeBuffer.h,v 1.6 2002/08/16 05:50:03 jason Exp $
____________________________________________________________________________*/
#ifndef Included_CPGPmailEncodeDecodeBuffer_h	/* [ */
#define Included_CPGPmailEncodeDecodeBuffer_h

#import <PGP/PGP.h>
#import <Cocoa/Cocoa.h>

#import "PGPmailCommon.h"
#import "CPGPmailController.h"

@interface CPGPmailEncodeDecodeBuffer : NSObject
{
    CPGPmailController				*mAppController;
    
    PGPContextRef					mContext;
    PGPtlsContextRef				mTLSContext;
    PGPPrefRef						mPrefRef;
	PGPKeyDBRef						mAllKeys;
    PGPMemoryMgrRef					mMemoryMgr;
    
    PGPClientEncodeDecodeData 		mDataRef;

    BOOL							mInited;
}

- (id)init;
- (id)initWithController:(id)controller;
- (void)dealloc;

- (NSString *)encryptSign:(PGPmailOperation)inOperation
    withData:(NSString *)inData toRecipients:(NSArray *)toRecipients;
- (NSString *)decryptVerify:(NSString *)inData;

@end

#endif /* ] Included_CPGPmailEncodeDecodeBuffer_h */

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/