/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: MimeTextAttachment.h,v 1.1 2002/08/21 03:17:17 wmalik Exp $
____________________________________________________________________________*/

#import <AppKit/NSTextAttachment.h>

@class MimePart;

@interface MimeTextAttachment:NSTextAttachment
{
    MimePart *_mimePart;
}

- (void)dealloc;
- initWithMimePart:fp12;
- mimePart;
- (void)setMimePart:fp12;
- (unsigned int)approximateSize;
- (char)isPlaceholder;
- (char)hasBeenDownloaded;
- (char)shouldDownloadAttachmentOnDisplay;
@end

@interface MimeTextAttachment(IndexingSupport)
- stringForIndexing;
@end
