/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: PGPMailCommon.m,v 1.4 2002/10/23 09:52:07 jason Exp $
____________________________________________________________________________*/

#import "PGPMailCommon.h"

PGPMailEncodeOptions PGPMakeDefaultEncodeOptions( void )
{
    PGPMailEncodeOptions theOptions;
    
    theOptions.mSign = NO;
    theOptions.mEncrypt = NO;
    theOptions.mUseMIME = NO;
    theOptions.mDetachedSignature= NO;
    theOptions.mEncapsulatedSignature = NO;
	theOptions.mFlowed = NO;
	theOptions.mEncodeError = kPGPError_NoErr;
    theOptions.mStringEncoding = kCFStringEncodingISOLatin1;
    theOptions.mSignatureType = PGPNoSignature;
    
    return theOptions;
}

PGPMailDecodeOptions PGPMakeDefaultDecodeOptions( void )
{
    PGPMailDecodeOptions theOptions;
    
    theOptions.mIsSigned = NO;
    theOptions.mIsEncrypted = NO;
    theOptions.mIsOpenPGPSigned = NO;
    theOptions.mIsOpenPGPEncrypted = NO;
	theOptions.mFlowed = NO;
	theOptions.mDecodeError = kPGPError_NoErr;
    theOptions.mStringEncoding = kCFStringEncodingISOLatin1;
    theOptions.mSignature = nil;
    
    return theOptions;
}