/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: PGPMailDecodeBuffer.h,v 1.2 2002/08/30 01:10:57 wmalik Exp $
____________________________________________________________________________*/

#import "PGPMailCommon.h"

@class PGPMailBundle;

@interface PGPMailDecodeBuffer : NSObject
{
    PGPMailBundle				*mPGPController;

    PGPClientEncodeDecodeData 	mData;
    PGPMailDecodeOptions		mOptions;

    SignatureStatusInfo			mSignatureData;
    BOOL						mHaveSignatureData;
    NSData						*mBuffer;
    
    BOOL						mInited;
}

+ (void)pgpCancelOperation;

- (id)init;
- (id)initWithController:(PGPMailBundle *)inController;
- (void)dealloc;
- (NSData *)pgpDecodeData:(NSData *)inData signature:(NSData *)inSignature options:(PGPMailDecodeOptions *)ioOptions;
@end
