/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: PGPMailEncodeBuffer.h,v 1.2 2002/08/30 01:10:57 wmalik Exp $
____________________________________________________________________________*/

#import "PGPMailCommon.h"

@class PGPMailBundle;

@interface PGPMailEncodeBuffer : NSObject
{
    PGPMailBundle				*mPGPController;
    
    PGPClientEncodeDecodeData 	mData;

    BOOL						mOperationCanceled;
    BOOL						mInited;
}

+ (void)pgpCancelOperation;

- (id)init;
- (id)initWithController:(PGPMailBundle *)inController;
- (void)dealloc;
- (NSData *)pgpEncodeData:(NSData *)inData options:(PGPMailEncodeOptions *)ioOptions recipients:(NSArray *)inRecipients;
@end
