/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: UConstantNames.h,v 1.2 2002/08/06 20:10:18 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_UConstantNames_h	// [
#define Included_UConstantNames_h

#include "DriverAPI.h"

_PGP_BEGIN

// Class UConstantNames

class UConstantNames
{
	DECLARE_MODALSTATE(UConstantNames)

protected:
	struct ConstantName
	{
		PGPUInt32	constant;
		const char *name;
	};

public:
	static const char *	NameDriverCommand(DriverAPI::CommandId driverCommand);

protected:
	static const ConstantName	mDriverCommands[];

	static const char *	GetName(const ConstantName table[], PGPUInt32 size, 
		PGPUInt32 constant);
};

_PGP_END

#endif	// Included_UConstantNames_h
