/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpnetBase.h,v 1.2 2002/08/06 20:10:27 dallen Exp $ 
____________________________________________________________________________*/

#ifndef _H_PGPNET_BASE_
#define _H_PGPNET_BASE_

#ifdef __cplusplus
extern "C" {
#endif

#include <ndis.h>
#include "pgpBase.h"

#pragma warning (disable : 4390)

#ifdef __cplusplus
}
#endif

#ifdef CHICAGO

extern "C" {
void *  __cdecl memset(void *, int, size_t);
void *  __cdecl memcpy(void *, const void *, size_t);
char *  __cdecl strcpy(char *, const char *);
size_t  __cdecl strlen(const char *);
}

#undef NDIS_STRING_CONST
#define NDIS_STRING_CONST(x) { sizeof(x),sizeof(x),(unsigned char*)x}

#endif // CHICAGO

#if defined(BINARY_COMPATIBLE)
#if BINARY_COMPATIBLE
extern "C" {
void *  __cdecl memset(void *, int, size_t);
void *  __cdecl memcpy(void *, const void *, size_t);
char *  __cdecl strcpy(char *, const char *);
size_t  __cdecl strlen(const char *);
}
#endif
#endif

#include "pgpnetConstants.h"
#include "ndisNewDelete.h"

#endif // #define _H_PGPNET_BASE_
