/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpNetPrefsHostEntry.h,v 1.13 2002/08/06 20:10:25 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_pgpNetPrefsHostEntry_h	/* [ */
#define Included_pgpNetPrefsHostEntry_h

#include "pgpIKE.h"
#include "pgpNetKernelHost.h"

#define	kMaxNetHostNameLength			255
#define	kMaxNetHostSharedSecretLength	255
#define kMaxNetHostIdentityLength		128
#define kMaxNetHostIASNLength			192

typedef struct PGPNetPrefHostEntry
{
	PGPNetHostType			hostType;
	PGPUInt32				ipAddrStart;
	PGPUInt32				ipMaskEnd;
	PGPInt32				childOf;
	char					hostName[kMaxNetHostNameLength + 1];
	char					sharedSecret[kMaxNetHostSharedSecretLength + 1];
	PGPBoolean				autoConnect;
	PGPBoolean				virtualIP;
	PGPBoolean				exclusiveGateway;
	PGPikeEncapsulateMode	encapsulateMode;

	PGPBoolean				useAuthKeyR;
	PGPKeyID				authKeyIDR;
	PGPByte					authCertIASNR[kMaxNetHostIASNLength];
	PGPUInt32				authCertIASNLengthR;
	
	PGPikeAuthStyle			authStyle;
	PGPBoolean				aggressive;
	PGPBoolean				destIsRange;
	PGPipsecIdentity		idType;
	char					identity[kMaxNetHostIdentityLength + 1];

	PGPBoolean				useAuthKeyL;
	PGPKeyID				authKeyIDL;
	PGPByte					authCertIASNL[kMaxNetHostIASNLength];
	PGPUInt32				authCertIASNLengthL;
} PGPNetPrefHostEntry;


#endif /* ] Included_pgpNetPrefs_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
