/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: PGPDictionaryTraversal.h,v 1.5 2002/08/06 20:10:27 dallen Exp $
____________________________________________________________________________*/

#import <Foundation/Foundation.h>

#define kPGPDictionaryKeyPathSeparator	@":"
#define kPGPDictionaryDefaultCapacity	4

@class NSString;

@interface NSDictionary (PGPDictionaryTraversal)

- (id)objectForKeyPath:(NSString*)keyPath;
- (id)objectForKeyPathArray:(NSArray*)keyPathArray;

@end



@interface NSMutableDictionary (PGPDictionaryTraversal)

- (void)setObject:(id)newObject forKeyPath:(NSString*)keyPath;
- (void)setObject:(id)newObject forKeyPathArray:(NSArray*)keyPathArray;

- (void)releaseChildDictionaries;

@end