/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CMutex.h,v 1.3 2002/08/06 20:10:37 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CMutex_h	// [
#define Included_CMutex_h

#include "pgpClassesConfig.h"
#include "CPFLImpFactory.h"

_PGP_BEGIN

// Class CMutex

class CMutex SMART_ERROR_INHERIT
{
	NOT_COPYABLE(CMutex)
	DECLARE_IMPHOST(CMutex)

public:
	enum {InfiniteTimeout = -1};

public:
	// return value OS-dependent
	PGPUInt32	Enter(PGPInt32 msTimeout = InfiniteTimeout);
	void		Leave();
};

_PGP_END

#endif	// ] Included_CMutex_h
