/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CSemaphore.h,v 1.3 2002/08/06 20:10:37 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CSemaphore_h	// [
#define Included_CSemaphore_h

#include "pgpClassesConfig.h"
#include "CPFLImpFactory.h"

_PGP_BEGIN

// Class CSemaphore

class CSemaphore SMART_ERROR_INHERIT
{
	NOT_COPYABLE(CSemaphore)
	DECLARE_IMPHOST(CSemaphore)

public:
	enum {InfiniteTimeout = -1};

public:
	// return value OS-dependent
	PGPUInt32	Wait(PGPInt32 msTimeout = InfiniteTimeout);
	void		Signal(PGPUInt32 count = 1);
};

_PGP_END

#endif	// ] Included_CSemaphore_h
