/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CThread.cpp,v 1.2 2002/08/06 20:10:37 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CThread.h"
#include "CThreadImp.h"

_USING_PGP

// Class CThread functions

DEFINE_IMPHOST(CThread, ThreadImp, CPFLImpFactory)

PGPBoolean 
CThread::IsRunning() const
{
	return Imp()->IsRunning();
}

SMART_ERROR 
CThread::StartThread(PGPUInt32 maxQueuedRequests)
{
	SMART_ERROR_CALL Imp()->StartThread(maxQueuedRequests);
}

void 
CThread::KillThread()
{
	Imp()->KillThread();
}

SMART_ERROR 
CThread::PerformAsyncCallback(CallbackFunc callbackFunc, void *refPtr)
{
	SMART_ERROR_CALL Imp()->PerformAsyncCallback(callbackFunc, refPtr);
}

SMART_ERROR 
CThread::PerformSyncCallback(CallbackFunc callbackFunc, void *refPtr)
{
	SMART_ERROR_CALL Imp()->PerformSyncCallback(callbackFunc, refPtr);
}
