/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: MacResources.h,v 1.2 2002/08/06 20:10:40 dallen Exp $
____________________________________________________________________________*/

#pragma once

#include <MacTypes.h>

PGP_BEGIN_C_DECLARATIONS
#if PRAGMA_IMPORT
#pragma import on
#endif



OSStatus	ForceResError(OSStatus defaultError);

OSStatus	AddWriteResource(Handle theResource,
				OSType resourceType, short resourceID,
				ConstStr255Param resourceName);
OSStatus	AddWriteResourcePtr(const void * resourceData,
				ByteCount resourceDataSize,
				OSType resourceType, short resourceID,
				ConstStr255Param resourceName);
						
OSStatus	CopyResource(short sourceResFile, OSType sourceResourceType,
				short sourceResourceID,
				short destResFile,
				OSType destResourceType, short destResourceID);
						
OSStatus	Remove1Resource(OSType resourceType, short resourceID,
						Boolean removeProtectedResources);
						
Boolean		ResourceExists(ResType resourceType, short resourceID,
				Boolean inCurResOnly);




#if PRAGMA_IMPORT
#pragma import reset
#endif
PGP_END_C_DECLARATIONS