/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: CPGPActiveScroller.h,v 1.2 2002/08/06 20:10:43 dallen Exp $
____________________________________________________________________________*/

#pragma once

#include <LActiveScroller.h>

class CPGPActiveScroller : public LActiveScroller
{
public:
	
	enum { class_ID = 'ASCR' };
	
						CPGPActiveScroller(LStream *inStream);
	virtual				~CPGPActiveScroller(void);
	
	virtual void		Hide(void);
	virtual void		Show(void);

protected:

	virtual void		ActivateSelf(void);
	virtual void		DeactivateSelf(void);
	virtual void		SuperHide(void);
	virtual void		SuperShow(void);
	
private:

	void				AdjustScrollBarsVisibility(void);
};