/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: CPGPGAPopupButtonImp.cp,v 1.2 2002/08/06 20:10:43 dallen Exp $
____________________________________________________________________________*/

#include <UDrawingState.h>
#include <UTextTraits.h>

#include "CPGPGAPopupButtonImp.h"


CPGPGAPopupButtonImp::CPGPGAPopupButtonImp(LControlPane *inControlPane)
		: LGAPopupButtonImp( inControlPane )
{
}

CPGPGAPopupButtonImp::CPGPGAPopupButtonImp(LStream *inStream)
		: LGAPopupButtonImp( inStream )
{
}

CPGPGAPopupButtonImp::~CPGPGAPopupButtonImp(void)
{
}

	void
CPGPGAPopupButtonImp::SetDescriptor(ConstStringPtr inDescriptor)
{
	LGAPopupButtonImp::SetDescriptor( inDescriptor );

	// Stupid PP does not support dynamically changing the popup's title.
	// Recompute the width here and call SetLabelWidth().
	
	if( HasLabel() )
	{
		StTextState		theTextState;
		StColorPenState	thePenState;
	
		// Get the port setup with the text traits
		UTextTraits::SetPortTextTraits ( GetTextTraitsID() );
		SetLabelWidth( StringWidth( inDescriptor ) + 5 );
	}
}
