/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CPGPSelectedTableView.m,v 1.3 2002/10/22 09:25:50 jeffc Exp $
____________________________________________________________________________*/

#import "CPGPSelectedTableView.h"

@implementation CPGPSelectedTableView

- (BOOL)isSelected
{
	return mIsSelected;
}

- (void)setIsSelected:(BOOL)flag
{
	if (mIsSelected != flag)
	{
		mIsSelected = flag;

		[self display];
	}
}

- (void)drawRect:(NSRect)rect
{
	NSBezierPath*		path = [NSBezierPath bezierPathWithRect:rect];
	
	if (mIsSelected)
	{
		[[NSColor grayColor] set];
		
		[path setLineWidth:6];
		[path stroke];
	}
}

@end
