/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	
	
	$Id: CHTTPPGPKeyServer.h,v 1.4 2002/08/06 20:11:11 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CHTTPPGPKeyServer_h
#define Included_CHTTPPGPKeyServer_h

#include "CHTTPKeyServer.h"



class CHTTPPGPKeyServer : public CHTTPKeyServer {
public:
					CHTTPPGPKeyServer(PGPContextRef inContext,
						const char * inHostName, PGPUInt32 inHostAddress,
						PGPUInt16 inHostPort, PGPKeyServerProtocol inType,
						PGPKeyServerClass inClass);
	virtual			~CHTTPPGPKeyServer();
	
	virtual void	Query(PGPFilterRef inFilterRef,
						PGPKeyDBRef * outFoundKeys);
	virtual void	Upload(PGPKeyUploadPreference inSendPrivateKeys,
						PGPKeySetRef inKeysToUpload,
						PGPKeySetRef * outKeysThatFailed);

protected:
	PGPError		ProcessHTTPResult(const char * inResult);
};



#endif
